Subject: [sfc] Submission of draft-ietf-sfc-nsh-tlv-04.txt

From: <[email-masked]>
Date: Tue, 5 Jan 2021 10:28:34 +0800 (CST)

Dear chairs and SFCers，

I uploaded ver04 of “Network Service Header Metadata Type 2 Variable-Length Context Headers” draft.

I updated the draft according to the comments received from the SFC mailing list.

Your comments are always welcome and helpful.

And I would like to ask the WG for the consideration of the WGLC.

Thank you!

------

A New Internet-Draft is available from the on-line Internet-Drafts directories.This draft is a work item of the Service Function Chaining WG of the IETF.        Title           : Network Service Header Metadata Type 2 Variable-Length Context Headers        Authors         : Yuehua (Corona) Wei                          Uri Elzur                          Sumandra Majee                          Carlos Pignataro    Filename        : draft-ietf-sfc-nsh-tlv-04.txt    Pages           : 13    Date            : 2021-01-04Abstract:   This draft describes Network Service Header (NSH) Metadata (MD) Type   2 variable-length context headers that can be used within a service   function path.The IETF datatracker status page for this draft is:https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh-tlv/There are also htmlized versions available at:https://tools.ietf.org/html/draft-ietf-sfc-nsh-tlv-04https://datatracker.ietf.org/doc/html/draft-ietf-sfc-nsh-tlv-04A diff from the previous version is available at:https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-04Please note that it may take a couple of minutes from the time of submissionuntil the htmlized version and diff are available at tools.ietf.org.Internet-Drafts are also available by anonymous FTP at:ftp://ftp.ietf.org/internet-drafts/_______________________________________________sfc mailing [email-masked]://www.ietf.org/mailman/listinfo/sfc

Yuehua Wei

Best Regards,

M: +86 13851460269 E: [email-masked]

原始邮件

发件人：JoelM.Halpern
收件人：Carlos Pignataro (cpignata);
抄送人：[email-masked];
日 期 ：2020年05月27日 23:40
主 题 ：Re: [sfc] I-D Action: draft-ietf-sfc-nsh-tlv-03.txt

Thank you for your extensive work on this Carlos.

Working group...   Does anyone else have comments?  This is another 
milestone we need to get done.

Yours,
Joel

On 5/27/2020 10:33 AM, Carlos Pignataro (cpignata) wrote:
> Dear Wei,
> 
> Thanks for addressing the vast majority of my comments from two full 
> reviews, and incorporating all my textual suggestions.
> 
> Some still remain:
> 
> 1.  s/byte/octet/g —> there are still 4 instances of “byte”.
> 
> 2. Content Type
> 
> 4.3.  Content Type
> 
> I’d recommend removing this one. It does not seem to be adequately defined.
> 
> 3. Note ID
> 
>                       Figure 6: Ingress Network Node ID
> 
> Why is the length fixed to 8? I understand a 32-bit number can be a most 
> common Node ID, but what if a 128-bit number wants to be used?
> 
> I’d allow either of two lengths.
> 
> 4. Flow ID
> 
> 4.6.  Flow ID
> 
>     Flow ID provides a representation of the flow.  Akin, but not
>     identical to the usage described in [RFC6437].
> 
> 
> This still needs to be more appropriately defined. I would replace:
> 
>     Flow ID provides a representation of the flow.  Akin, but not
>     identical to the usage described in [RFC6437].
> 
> With at least
> 
>     The Flow ID provides a field in the NSH MD Type 2 to label
>     packets belonging to the same flow.  Absence of this field, or
>     a value of zero denotes that packets have not been labeled.
> 
> 
> 
> 5. IANA
> 
>     This document defines the following new values (Table 1)in the
>     Network Service Header (NSH) metadata context Type registry:
> 
> 
> There’s a space missing in the first line.
> 
> More importantly though, I would add two Experimentation values in Table 
> 1. I would also reserve the value of 0x00.
> 
> 
> 6. IANA Citation.
> 
> I think the URI for IANA should be without the file part:
> https://www.iana.org/assignments/nsh/#optional-variable-length-metadata-types
> 
> 
> Lastly, here is some of the text proposed for some section descriptions:
> 
> Forwarding Context
> 
>     The forwarding context used for segregation and forwarding scope can
>     Take several forms depending on the network environment. For example,
> VXLAN/VXLAN-GPE VNID, VRF identification, and VLAN. This context
> header carries this network-based forwarding context.
> 
> Tenant Identifier
> 
>     Tenant identification is often used for segregation within a multi-
>     tenant environment.  Orchestration system-generated tenant IDs are an
>     example of such data. This context header carries both the format and
>     value of the Tenant identifier.
> 
> Content Type
> 
> // Remove
> // I believe this needs further thinking on the namespace fo Content 
> Types, could even be draft-penno-sfc-appid-05
> 
> Ingress Network Node Information
> 
>     This context header identifies the ingress network node.
> 
> Ingress Network Interface Information
> 
>     This context header identifies the ingress network interface.
> 
> Flow ID
> 
>     The Flow ID provides a field in the NSH MD Type 2 to label
>     packets belonging to the same flow.  Absence of this field, or
>     a value of zero denotes that packets have not been labeled.
> 
> 
> Thanks!
> 
> Carlos.
> 
> 
>> 2020/05/20 午後11:05、[email-masked] 
>> <mailto:[email-masked]>のメール:
>>
>> Hi folks,
>>
>> I just uploaded a new version of NSH metadata 2 variable-length 
>> context headers.
>>
>> The updates resolved the comments received from the mailing list.
>>
>> One important technical modification is splitting of the Ingress 
>> Network context header to two context headers (in 4.4 and 4.5) which 
>> is proposed by Carlos, Med and Greg.
>>
>> Please keep reviewing and give your comments.
>>
>> <https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03.txt>
>>
>> https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03..txt 
>> <https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03.txt>
>>
>>
>> In addition,  I would as the  WG to consider changing the length 
>> of Tenant Identifier context header ( in 4.2) to "var", so that TT and 
>> IANA sub-registry are not needed.
>>
>>
>> Thank you for your kind support.
>>
>>
>> *Best Regards,*
>> *魏月华 Corona Wei*
>>
>> *ZTE Corporation*
>>
>> M: +86 13851460269 E: [email-masked] <mailto:[email-masked]>
>>
>>
>> 原始邮件
>> *发件人：[email-masked] <mailto:[email-masked]> 
>> <[email-masked] <mailto:[email-masked]>>
>> *收件人：[email-masked] <mailto:[email-masked]> 
>> <[email-masked] <mailto:[email-masked]>>;
>> *抄送人：[email-masked] <mailto:[email-masked]> <[email-masked] 
>> <mailto:[email-masked]>>;
>> *日 期 ：*2020年05月21日 08:40
>> *主 题 ：**[sfc] I-D Action: draft-ietf-sfc-nsh-tlv-03.txt*
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>> This draft is a work item of the Service Function Chaining WG of the IETF.
>>
>>         Title           : Network Service Header Metadata Type 2 Variable-Length Context Headers
>>         Authors         : Yuehua (Corona) Wei
>>                           Uri Elzur
>>                           Sumandra Majee
>>     Filename        : draft-ietf-sfc-nsh-tlv-03.txt
>>     Pages           : 12
>>     Date            : 2020-05-20
>>
>> Abstract:
>>    This draft describes Network Service Header (NSH) Metadata (MD) Type
>>    2 variable-length context headers that can be used within a service
>>    function path.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh-tlv/
>>
>> There are also htmlized versions available at:
>> https://tools.ietf.org/html/draft-ietf-sfc-nsh-tlv-03
>> https://datatracker.ietf.org/doc/html/draft-ietf-sfc-nsh-tlv-03
>>
>> A diff from the previous version is available at:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03
>>
>>
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>>
>> _______________________________________________
>> sfc mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/sfc
>>
>>
>> _______________________________________________
>> sfc mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/sfc
> 
> 
> _______________________________________________
> sfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sfc
> 

_______________________________________________
sfc mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sfc

---

From: <[email-masked]>
Date: Thu, 7 Jan 2021 15:44:06 +0000

Hi Wei,

Thank you for sharing this updated version.

One quick comment: Please remove this line from Section 7 as that value is already assigned to the service identifier TLV.

| 0x00  |             Reserved             | This document |

I still do think that more text is needed to understand the usage of the various attributes.

Cheers,
Med

De : sfc [mailto:[email-masked]] De la part de [email-masked]
Envoyé : mardi 5 janvier 2021 03:29
À : [email-masked]
Objet : [sfc] Submission of draft-ietf-sfc-nsh-tlv-04.txt

Dear chairs and SFCers，

Thank you!

------

        Title           : Network Service Header Metadata Type 2 Variable-Length Context Headers
        Authors         : Yuehua (Corona) Wei
                          Uri Elzur
                          Sumandra Majee
                          Carlos Pignataro
    Filename        : draft-ietf-sfc-nsh-tlv-04.txt
    Pages           : 13
    Date            : 2021-01-04

Abstract:

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-sfc-nsh-tlv-04
https://datatracker.ietf.org/doc/html/draft-ietf-sfc-nsh-tlv-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-04

_______________________________________________
sfc mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sfc

Yuehua Wei

Best Regards,

M: +86 13851460269 E: [email-masked]<mailto:[email-masked]>

原始邮件
发件人：JoelM.Halpern
收件人：Carlos Pignataro (cpignata);
抄送人：[email-masked]<mailto:[email-masked]>;
日 期 ：2020年05月27日 23:40
主 题 ：Re: [sfc] I-D Action: draft-ietf-sfc-nsh-tlv-03.txt
Thank you for your extensive work on this Carlos.

Yours,
Joel

On 5/27/2020 10:33 AM, Carlos Pignataro (cpignata) wrote:
>> 2020/05/20 午後11:05、[email-masked]<mailto:[email-masked]>
>> M: +86 13851460269 E: [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>>
>>
>> 原始邮件
>> *发件人：[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> <[email-masked] <mailto:[email-masked]<mailto:[email-masked] %3cmailto:[email-masked]>>>
>> *收件人：[email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
>> <[email-masked] <mailto:[email-masked]<mailto:[email-masked] %3cmailto:[email-masked]>>>;
>> *抄送人：[email-masked]<mailto:[email-masked]> <mailto:[email-masked]> <[email-masked]
<mailto:[email-masked] %0b>>> <mailto:[email-masked]>>;
>> [email-masked]<mailto:[email-masked]>
>> [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
sfc mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sfc

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 7 Jan 2021 11:02:43 -0500

Med, thank you for noting the redundant assignment.

Presuming for discussion that more descriptive text would be helpful 
(that is very often true of many drafts) it seems difficult to ask tha 
authors to provide that since they have written what they think is needed.

Asking you to provide all the text seems a big ask.  Can you at least 
identify which items and which aspects of those items need more description?

Thank you,
Joel

On 1/7/2021 10:44 AM, [email-masked] wrote:
> One quick comment: Please remove this line from Section 7 as that value 
> is already assigned to the service identifier TLV.
> 
> *De :*sfc [mailto:[email-masked]] *De la part de* 
> [email-masked]
> *Envoyé :* mardi 5 janvier 2021 03:29
> *À :* [email-masked]
> *Objet :* [sfc] Submission of draft-ietf-sfc-nsh-tlv-04.txt
> 
> Dear chairs and SFCers，
> 
> I uploaded ver04 of 
> “Network Service Header Metadata Type 2 Variable-Length Context Headers” 
> draft.
> 
> <https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh-tlv/>
> 
> <https://tools.ietf.org/html/draft-ietf-sfc-nsh-tlv-04>
> <https://datatracker.ietf.org/doc/html/draft-ietf-sfc-nsh-tlv-04>
> 
> <https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-04>
> 
> 
> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
> 
> 
> <https://www.ietf.org/mailman/listinfo/sfc>
> 
> Yuehua Wei
> 
> *Best Regards,*
> 
> *发件人：*JoelM.Halpern
> *收件人：*Carlos Pignataro (cpignata);
> 
> *抄送人：[email-masked] <mailto:[email-masked]>;
> 
> *日 **期 * *：*2020年05月27日 23:40
> 
> *主 **题 **：Re: [sfc] I-D Action: draft-ietf-sfc-nsh-tlv-03.txt*
> 
> <https://www.iana.org/assignments/nsh/#optional-variable-length-metadata-types>
>  >
>  >
> <mailto:[email-masked]>
>  >> <mailto:[email-masked] <mailto:[email-masked]>>のメール:
>  >>
>  >> Hi folks,
>  >>
>  >> <https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03.txt 
> <https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03.txt>>
>  >>
> <https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03..txt>
>  >> <https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03.txt 
> <https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03.txt>>
>  >>
>  >>
> <mailto:[email-masked]> <mailto:[email-masked] 
> <mailto:[email-masked]>>
>  >>
>  >>
>  >> 原始邮件
>  >> *发件人：[email-masked] 
> <mailto:[email-masked]> <mailto:[email-masked] 
> <mailto:[email-masked]>>
>  >> <[email-masked] <mailto:[email-masked] 
> <mailto:[email-masked] %3cmailto:[email-masked]>>>
>  >> *收件人：[email-masked] 
> <mailto:[email-masked]> <mailto:[email-masked] 
> <mailto:[email-masked]>>
>  >> <[email-masked] <mailto:[email-masked] 
> <mailto:[email-masked] %3cmailto:[email-masked]>>>;
>  >> *抄送人：[email-masked] <mailto:[email-masked]> <mailto:[email-masked] 
> <mailto:[email-masked]>> <[email-masked]
> <mailto:[email-masked] %0b>>> <mailto:[email-masked] <mailto:[email-masked]>>>;
>  >> *日 期 ：*2020年05月21日 08:40
> <https://datatracker.ietf.org/doc/draft-ietf-sfc-nsh-tlv/>
>  >>
> <https://tools.ietf.org/html/draft-ietf-sfc-nsh-tlv-03>
> <https://datatracker.ietf.org/doc/html/draft-ietf-sfc-nsh-tlv-03>
>  >>
> <https://www.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03>
>  >>
>  >>
> <ftp://ftp.ietf.org/internet-drafts/>
>  >>
>  >>
> <https://www.ietf.org/mailman/listinfo/sfc>
>  >>
>  >>
>  >> [email-masked] <mailto:[email-masked]> <mailto:[email-masked] 
> <mailto:[email-masked]>>
> <https://www.ietf.org/mailman/listinfo/sfc>
>  >
>  >
> <https://www.ietf.org/mailman/listinfo/sfc>
>  >
> 
> <https://www.ietf.org/mailman/listinfo/sfc>
>

---

From: <[email-masked]>
Date: Thu, 7 Jan 2021 16:55:22 +0000

Re-,

I would be more than happy to provide text but the issue is that I don't know what is the intent/purpose of many of these TLVs. 

Consider for example this one:  

==
4.7.  Universal Resource Identifier

[[removing the figure]]

   where

      URI (Universal Resource Identifier) Type is four bits-long field
      that specifies the format of the URI field.  This document defines
      the following values for the URI Type field:

      *  0x1: URI in standard string format as defined in [RFC3986].

      *  0x2: URI represented in a compacted hash format.
==

I fail to see what this URI is for and how it can be consumed by upstream SFs. 

The same applies for Ingress Network Node Information and Ingress Network Source Interface. Not clear to me how supplying this information will be useful for upstream SFs. 

Likewise, no clear what is the difference between the Tenant ID in Section 4.2 and 4.3. Why a tenant type is needed in 4.3, but not 4.2. 

The POLICY_ID and Tenant ID are likely to trigger similar discussion (at least by the IESG) as what is documented for Performance Policy Identification and Subscriber ID in draft-ietf-sfc-serviceid-header. The authors may grab whatever text recorded there, as appropriate. 

Cheers,
Med

> -----Message d'origine-----
> De : Joel M. Halpern [mailto:[email-masked]]
> Envoyé : jeudi 7 janvier 2021 17:03
> À : BOUCADAIR Mohamed TGI/OLN <[email-masked]>;
> [email-masked]; [email-masked]
> Objet : Re: [sfc] Submission of draft-ietf-sfc-nsh-tlv-04.txt
> 
> (that is very often true of many drafts) it seems difficult to ask
> tha authors to provide that since they have written what they think
> is needed.
> 
> Asking you to provide all the text seems a big ask.  Can you at
> least identify which items and which aspects of those items need
> more description?
> 
> Thank you,
> Joel
> 
> > One quick comment: Please remove this line from Section 7 as that
> > value is already assigned to the service identifier TLV.
> >
> > I still do think that more text is needed to understand the usage
> of
> > the various attributes.
> >
> > Cheers,
> >
> > Med
> >
> > [email-masked] *Envoyé :* mardi 5 janvier 2021 03:29 *À :*
> > [email-masked] *Objet :* [sfc] Submission of
> > draft-ietf-sfc-nsh-tlv-04.txt
> >
> > Dear chairs and SFCers，
> >
> > I uploaded ver04 of
> > I updated the draft according to the comments received from the
> SFC
> > mailing list.
> >

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 7 Jan 2021 12:03:02 -0500

Thank you.  I look forward to the responses from the authors.

Yours,
Joel

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 7 Jan 2021 11:14:58 -0600

On Thu, Jan 7, 2021 at 9:44 AM <[email-masked]> wrote:

> One quick comment: Please remove this line from Section 7 as that value is
> already assigned to the service identifier TLV.
>

Wei, just use TBD and let IANA assign the correct value later on.

Behcet

> *De :* sfc [mailto:[email-masked]] *De la part de*
> [email-masked]
> I uploaded ver04 of “
> Network Service Header Metadata Type 2 Variable-Length Context Headers”
> draft.
>
> *抄送人：[email-masked];
> >> <mailto:[email-masked] <[email-masked]>>のメール:
> >>
> >> Hi folks,
> >>
> >> M: +86 13851460269 E: [email-masked] <
> mailto:[email-masked] <[email-masked]>>
> >>
> >>
> >> 原始邮件
> >> *发件人：[email-masked] <mailto:[email-masked]
> <[email-masked]>>
> >> *收件人：[email-masked] <mailto:[email-masked]
> <[email-masked]>>
> >> *抄送人：[email-masked] <mailto:[email-masked] <[email-masked]>> <[email-masked]
> <[email-masked]%C2%A0%0b>>> <mailto:[email-masked] <[email-masked]>>>;
> >> *日 期 ：*2020年05月21日 08:40
> >> [email-masked] <mailto:[email-masked] <[email-masked]>>

---

From: <[email-masked]>
Date: Fri, 8 Jan 2021 19:36:14 +0800 (CST)

Thank you, Behcet & Med,

Will use TBD and let IANA assign the correct value later on.

Best Regards,

魏月华 Yuehua Wei

原始邮件

发件人：BehcetSarikaya
收件人：Mohamed Boucadair;
抄送人：魏月华00019655;[email-masked];
日 期 ：2021年01月08日 01:16
主 题 ：Re: [sfc] Submission of draft-ietf-sfc-nsh-tlv-04.txt

Hi Wei,

 

Behcet 

 

 

 

Cheers,

Med

 

Dear chairs and SFCers，

Thank you!

------

 
 Abstract:

 

 

Yuehua Wei

Best Regards,

 

原始邮件

发件人：JoelM.Halpern

抄送人：[email-masked];

日 期 ：2020年05月27日 23:40

 
 
 Yours,
 Joel
 
 On 5/27/2020 10:33 AM, Carlos Pignataro (cpignata) wrote:
 >> https://tools.ietf.org/rfcdiff?url2=draft-ietf-sfc-nsh-tlv-03.txt 

 

_________________________________________________________________________________________________________________________ Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci. This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation. If you have received this email in error, please notify the sender and delete this message and its attachments. As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified. Thank you. 
_______________________________________________
 sfc mailing list
 [email-masked]
 https://www.ietf.org/mailman/listinfo/sfc

---

From: <[email-masked]>
Date: Fri, 8 Jan 2021 12:13:24 +0000

Hi Behcet,

I’m not to understand your comment as the draft correctly uses TBD statements in Table 1.

The only required modif in that table is to remove the 0x00 (reserved) entry because it is not accurate.

Cheers,
Med

De : Behcet Sarikaya [mailto:[email-masked]]
Envoyé : jeudi 7 janvier 2021 18:15
À : BOUCADAIR Mohamed TGI/OLN <[email-masked]>
Cc : [email-masked]; [email-masked]
Objet : Re: [sfc] Submission of draft-ietf-sfc-nsh-tlv-04.txt

On Thu, Jan 7, 2021 at 9:44 AM <[email-masked]<mailto:[email-masked]>> wrote:
Hi Wei,

Behcet

Cheers,
Med